package edu.kit.iti.formal.lights;

import org.sat4j.core.VecInt;
import org.sat4j.specs.IVecInt;

import java.security.InvalidParameterException;

/**
 * @author Alexander Weigl
 * @version 1 (03.09.19)
 */
public class Solution {
    final int dimension;
    final IVecInt lightX = new VecInt();
    final IVecInt lightY = new VecInt();

    public Solution(int dimension) {
        this.dimension = dimension;
    }

    /**
     * Adds a light to the solution at the given position.
     * @param row
     * @param column
     * @throws InvalidParameterException if given coordinate is out
     */
    public void addLamp(int row, int column) {
        if (row < 0 || column < 0 || row >= dimension || column >= dimension)
            throw new InvalidParameterException();
        lightX.push(row);
        lightY.push(column);
    }
}